Loading...
Searching...
No Matches
Opm::RestartValue Class Reference

## Public Types

using | ExtraVector = std::vector<std::pair<RestartKey, std::vector<double>>>

## Public Member Functions

| RestartValue (data::Solution sol, data::Wells wells_arg, data::GroupAndNetworkValues grpn_nwrk_arg, data::Aquifers aquifer_arg)
| RestartValue (data::Solution sol, data::Wells wells_arg, data::GroupAndNetworkValues grpn_nwrk_arg, data::Aquifers aquifer_arg, int lgr_grid)
bool | hasExtra (const std::string &key) const
void | addExtra (const std::string &key, UnitSystem::measure dimension, std::vector< double > data)
void | addExtra (const std::string &key, UnitSystem::measure dimension, std::vector< float > data)
void | addExtra (const std::string &key, std::vector< double > data)
void | addExtra (const std::string &key, std::vector< float > data)
const std::vector< double > & | getExtra (const std::string &key) const
void | convertFromSI (const UnitSystem &units)
void | convertToSI (const UnitSystem &units)
bool | operator== (const RestartValue &val2) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static RestartValue | serializationTestObject ()

## Public Attributes

data::Solution | solution {}
data::Wells | wells {}
data::GroupAndNetworkValues | grp_nwrk {}
data::Aquifers | aquifer {}
ExtraVector | extra {}

The documentation for this class was generated from the following files:

- opm/output/eclipse/RestartValue.hpp
- opm/output/eclipse/RestartValue.cpp